#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE7,0x7C,0x29,0xF4,0x9D,0x63,0x30,0x8B,0x6A,0x58,0xA9,0xED,
		0x93,0xB5,0x67,0x27,0x01,0xB2,0xCA,0x37,0xA2,0x3D,0xF6,0x32,
		0x63,0xBB,0x4B,0xE5,0x9D,0x8C,0xBC,0x44,0x2A,0x34,0x57,0xEB,
		0x39,0xB8,0xB2,0x27,0x3B,0x89,0x1A,0x03,0x68,0x16,0xF1,0x48,
		0x59,0xE3,0xED,0x7A,0xFE,0x14,0x46,0xD0,0x0F,0x63,0xB3,0xC9,
		0xB6,0x26,0xD9,0xFB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
